Subject: Re: [Powerpc] Next March 5 build failure: platform/pseries/msi.o

From: Michael Ellerman <[email-masked]>
Date: Fri, 06 Mar 2009 01:06:54 +1100

On Thu, 2009-03-05 at 17:06 +0530, Sachin P. Sant wrote:
> Next March 5th randconfig build fails with
> 
> arch/powerpc/platforms/pseries/msi.c: In function find_pe_dn:
> arch/powerpc/platforms/pseries/msi.c:210: error: implicit declaration of function find_device_pe
> 
> CONFIG_EEH is not set in the config.
> 
> Attached here is the .config.

Dang it, that's my fault. Thanks for catching it Sachin.

I assumed pseries always enabled EEH, but I see now you can disable it
if you have EMBEDDED set (which your config does).

It's a bit yucky making the MSI code depend on EEH, but the only other
option would be to pull half the EEH code out - so I guess that's what
I'll do.

Does this patch fix it?

cheers

diff --git a/arch/powerpc/platforms/pseries/Kconfig b/arch/powerpc/platforms/pse
index ddc2a30..dbb5109 100644
--- a/arch/powerpc/platforms/pseries/Kconfig
+++ b/arch/powerpc/platforms/pseries/Kconfig
@@ -25,6 +25,11 @@ config EEH
        depends on PPC_PSERIES && PCI
        default y if !EMBEDDED
 
+config PSERIES_MSI
+       bool
+       depends on PCI_MSI && EEH
+       default y
+
 config SCANLOG
        tristate "Scanlog dump interface"
        depends on RTAS_PROC && PPC_PSERIES
diff --git a/arch/powerpc/platforms/pseries/Makefile b/arch/powerpc/platforms/ps
index dfe574a..0ce691d 100644
--- a/arch/powerpc/platforms/pseries/Makefile
+++ b/arch/powerpc/platforms/pseries/Makefile
@@ -15,7 +15,7 @@ obj-$(CONFIG_SCANLOG) += scanlog.o
 obj-$(CONFIG_EEH)      += eeh.o eeh_cache.o eeh_driver.o eeh_event.o eeh_sysfs.
 obj-$(CONFIG_KEXEC)    += kexec.o
 obj-$(CONFIG_PCI)      += pci.o pci_dlpar.o
-obj-$(CONFIG_PCI_MSI)  += msi.o
+obj-$(CONFIG_PSERIES_MSI)      += msi.o
 
 obj-$(CONFIG_HOTPLUG_CPU)      += hotplug-cpu.o
 obj-$(CONFIG_MEMORY_HOTPLUG)   += hotplug-memory.o

_______________________________________________
Linuxppc-dev mailing list
[email-masked]
https://ozlabs.org/mailman/listinfo/linuxppc-dev